import { combineReducers } from 'redux';

import TopicsReducer from './topics';
import VideosReducer from './videos';
import { connectRouter } from 'connected-react-router'

export default (history) => combineReducers({
  router: connectRouter(history),
  topics: TopicsReducer,
  videos: VideosReducer
});
